### Enumeration

# WPEWebKit WebsiteDataTypes

#### Declaration

    flags WPEWebKit.WebsiteDataTypes

#### Description

No description available.

#### Members

`WEBKIT_WEBSITE_DATA_MEMORY_CACHE`

  No description available.

  - Value: `1`
  - Available since: 2.0
`WEBKIT_WEBSITE_DATA_DISK_CACHE`

  No description available.

  - Value: `2`
  - Available since: 2.0
`WEBKIT_WEBSITE_DATA_OFFLINE_APPLICATION_CACHE`

  No description available.

  - Value: `4`
  - Available since: 2.0
`WEBKIT_WEBSITE_DATA_SESSION_STORAGE`

  No description available.

  - Value: `8`
  - Available since: 2.0
`WEBKIT_WEBSITE_DATA_LOCAL_STORAGE`

  No description available.

  - Value: `16`
  - Available since: 2.0
`WEBKIT_WEBSITE_DATA_INDEXEDDB_DATABASES`

  No description available.

  - Value: `32`
  - Available since: 2.0
`WEBKIT_WEBSITE_DATA_COOKIES`

  No description available.

  - Value: `64`
  - Available since: 2.0
`WEBKIT_WEBSITE_DATA_DEVICE_ID_HASH_SALT`

  No description available.

  - Value: `128`
  - Available since: 2.0
`WEBKIT_WEBSITE_DATA_HSTS_CACHE`

  No description available.

  - Value: `256`
  - Available since: 2.0
`WEBKIT_WEBSITE_DATA_ITP`

  No description available.

  - Value: `512`
  - Available since: 2.0
`WEBKIT_WEBSITE_DATA_SERVICE_WORKER_REGISTRATIONS`

  No description available.

  - Value: `1024`
  - Available since: 2.0
`WEBKIT_WEBSITE_DATA_DOM_CACHE`

  No description available.

  - Value: `2048`
  - Available since: 2.0
`WEBKIT_WEBSITE_DATA_ALL`

  No description available.

  - Value: `4095`
  - Available since: 2.0